Redmine - Feature #9835

REST API - List priorities
2011-12-18 18:24 - Scott S

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 2.2.0

Resolution: Fixed

Description

When a project has no default priorities, the GUI interface does not tell the user they need to set one (like trackers do).

This means that when using the api, there is no way to create an issue when there is no default priorities as its not possible to get a

list.

It would be great if:
- A priority api list could be added to get priorities for a project
- The interface forced users to set a default like trackers do

Related issues:
Related to Redmine - Feature #7402: REST API - Enumerations
Has duplicate Redmine - Feature #11169: Please add API to get priority list

New 2011-01-21
Closed

History

#1 - 2012-01-29 10:14 - Charles Shapiro

this APl would also be beneficial for me...thanks

#2 - 2012-02-19 17:53 - Alex Last

we also need "get priorities" in REST API. requested by multiple people.
#3 - 2012-02-21 18:53 - Maxim Zyukin
That would be great!

Could you implement this feature, plz.

#4 - 2012-02-22 19:40 - Bruno Medeiros

Really useful to have this done.

#5 - 2012-10-17 19:30 - Jean-Philippe Lang

- Subject changed from REST API - List priorities for when there is no default to REST API - List priorities

- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang
- Target version set to 2.2.0

- Resolution set to Fixed

Added in r10664. You can get priorities at /enumerations/issue_priorities.(xml|json)

2025-05-01

1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/10664
http://www.tcpdf.org

